Name:           jetty-test-policy
Version:        1.2
Release:        %mkrel 16
Group:          Development/Java
Summary:        Jetty test policy files
License:        ASL 2.0 or EPL
URL:            http://www.eclipse.org/jetty/
BuildArch:      noarch

Source0:        http://git.eclipse.org/c/jetty/org.eclipse.jetty.toolchain.git/snapshot/%{name}-%{version}.tar.bz2
Source2:        http://www.eclipse.org/legal/epl-v10.html
Source3:        http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:         0001-Sign-JAR-with-maven-jarsigner-plugin.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-jarsigner-plugin)
BuildRequires:  mvn(org.eclipse.jetty.toolchain:jetty-toolchain:pom:)

%description
Jetty test policy files

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE2} %{SOURCE3} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license epl-v10.html LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license epl-v10.html LICENSE-2.0.txt



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.2-16.mga6
+ Revision: 976509
- First rebuild of the java stack
- sync package jetty-test-policy with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Jan 24 2015 daviddavid <daviddavid> 1.2-8.mga5
+ Revision: 812135
- add patch from Fedora to fix:
  * Sign JAR with maven-jarsigner-plugin
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 744174
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.2-5.mga5
+ Revision: 630444
- Build with xmvn

* Sun Dec 22 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 559887
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 355354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 gil <gil> 1.2-1.mga2
+ Revision: 165203
- imported package jetty-test-policy

